image: notterservice/ant-mvn-git:latest

json-jvm:
  stage: build
  script:
    - cd /home
    - git clone https://github.com/tliron/json-jvm.git
    - cd json-jvm/build && ant
    - cp /home/json-jvm/build/distribution/content/libraries/jars/com.threecrickets.jvm/json-jvm/2.0.3/json-jvm.jar ${CI_PROJECT_DIR}
  artifacts:
    paths:
      - ./json-jvm.jar

creel:
  stage: build
  script:
    - cd /home && git clone https://github.com/enpayne/creel.git
    - cd creel/build && ant
    - ls -l
    - cp /home/creel/build/distribution/content/libraries/jars/com.threecrickets.creel/creel/1.0.1/creel.jar ${CI_PROJECT_DIR}
  artifacts:
    paths:
      - ./creel.jar

scripturian:
  stage: build
  script:
    - cd /home && git clone https://github.com/enpayne/scripturian.git
    - cd scripturian/build && ant
    - cp /home/scripturian/build/distribution/content/libraries/jars/com.threecrickets.scripturian/scripturian/1.1.10/scripturian.jar ${CI_PROJECT_DIR}
  artifacts:
    paths:
      - ./scripturian.jar

succinct:
  stage: build
  script:
    - cd /home && git clone https://github.com/tliron/succinct.git
    - cd succinct/build && ant
    - cp /home/succinct/build/distribution/content/libraries/jars/com.threecrickets.succinct/succinct/1.0.2/succinct.jar ${CI_PROJECT_DIR}
  artifacts:
    paths:
      - ./succinct.jar

jygments:
  stage: build
  script:
    - cd /home && git clone https://github.com/tliron/jygments.git
    - cd jygments/build && ant
    - zip -r jygments.zip /home/jygments/build/distribution/content/libraries/jars
    - cp jygments.zip ${CI_PROJECT_DIR}
  artifacts:
    paths:
      - ./jygments.zip

build:
  stage: build
  script:
    - cd /home
    - git clone https://github.com/enpayne/sincerity.git
    - cd sincerity/build && ant